Bug 138109 - anaconda-ks.cfg file contains a decimal in LVM logical volume size
anaconda-ks.cfg file contains a decimal in LVM logical volume size
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-11-04 12:56 EST by Eric Paris
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-15 12:54:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2004-11-04 12:56:46 EST
Description of problem:
Anaconda-ks.cfg file contains lines like

logvol / --fstype ext3 --name=LV00 --vgname=VG00 --size=15008.0

Which shows the size to be a decimal.  If this file is used to
kickstart another machine it will die because the size is supposed to
be an integer.

This anaconda-ks.cfg was actually obtained after reinstalled on top of
existing LVM partitions.  I'm not sure if it will be wrong if the
PV/VG/LVs are created from scratch.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Install FC3T3 with LVM partition
2.  Reinstall using the same LVM partitions (format or not)
3.  Look at /root/anaconda-ks.cfg

Additional info:
It might be wrong on the original install if you create everything
from scratch, I don't know.
Comment 1 Jeremy Katz 2004-11-04 14:05:23 EST
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.